<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_JOB_MATERIAL_ISSUE_REQ';
$path_to_root = "../..";

include_once($path_to_root . "/includes/db_pager.inc");
include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/inventory/includes/db/job_material_requisitions_db.inc");
include_once($path_to_root . "/sales/includes/sales_ui.inc");

$js = "";
$js .= get_js_open_window(800, 500);
$js .= get_js_date_picker();

global $systypes_array;

page(_($help_context = "Outstanding ".$systypes_array[ST_JOB_MATERIAL_ISSUE_REQ]."s"), false, false, "", $js);

if (isset($_GET['trans_no'])) {
    $_POST['trans_no'] = $_GET['trans_no'];
}

function _jo_id($row){ 
    $jo_id = $row['jo_id'];
    return get_service_trans_view_str(ST_JOB_ORDER, $jo_id);
}

function _trans_no($row){ 
    return get_inventory_trans_view_str($row['type'], $row['trans_no']);
}

function _jm_req_trans_no($row){ 
    return get_inventory_trans_view_str($row['source_type'], $row['source_trans_no']);
}

function _reference($row){
    return $row['reference'];
}

function _location($row){
    return $row['location_name'];
}

function _project_name($row){
    return $row['project_description'];
}

function _tran_date($row){
    return sql2date($row['tran_date']);
}

function _approval_status($row){
    global $approval_statuses;
    return $approval_statuses[$row['approval_status']];
}

function _edit_link($row){
    if (in_array($row['approval_status'], array(AS_APPROVED))) {
        $jmr_id = "jmr_no=".$row['id'];
        return pager_link( _("Issue"), "/inventory/job_material_issues.php?$jmr_id", ICON_DOC);
    } else {
        return null;
    }
}

global $systypes_array, $approval_statuses;

start_form();

    start_table(TABLESTYLE_NOBORDER);
        start_row();
            ref_cells(text_bold("Trans #:"), 'trans_no', '',null, '', true);
            ref_cells(text_bold("JM Req. #:"), 'source_trans_no', '',null, '', true);
            ref_cells(text_bold("Job Card #:"), 'jo_id', '',null, '', true);
            ref_cells("Reference:", 'reference', '',null, '', true);
            date_cells("From Date:", 'from_date', '', null, -30);
            date_cells("To Date:", 'to_date', '', null, +30);
        end_row();
    end_table();

    start_table(TABLESTYLE_NOBORDER);
        start_row();
            locations_list_cells(_("Location:"), 'loc_code', null, true, true);
            project_list_cells(_("Project:"), 'project_id', null, _('Select a project'), true);

            submit_cells('SearchOrders', _("Search"),'',_('Select documents'), 'default');
        end_row();    
    end_table();
    
$sql = get_sql_for_job_material_requisitions_inquiry($_POST['trans_no'], $_POST['jo_id'], $_POST['reference'], $_POST['project_id'], $_POST['from_date'], $_POST['to_date'], 
                                                     $_POST['loc_code'], -1, true, ST_JOB_MATERIAL_ISSUE_REQ, $_POST['source_trans_no'], ST_JOB_MATERIAL_REQ);  
        
	$cols = array(  _("Trans #") => array('fun'=>'_trans_no', 'align'=>'center'),       
                        _("JM Req. #") => array('fun'=>'_jm_req_trans_no', 'align'=>'center'), 
                        _("Job Card #") => array('fun'=>'_jo_id', 'align'=>'center'), 
                        _("Ref") => array('fun'=>'_reference', 'align'=>'left'), 
                        _("Location") => array('fun'=>'_location'), 
                        _("Project") => array('fun'=>'_project_name'),      
                        _("Date") => array('fun'=>'_tran_date', 'align'=>'center'),
                        _("Status") => array('fun'=>'_approval_status', 'align'=>'center'));

	array_append($cols, array(
            array('insert'=>true, 'fun'=>'_edit_link', 'align'=>'center'),
		));

    $table =& new_db_pager('orders_tbl', $sql, $cols);

    $table->width = "96%";

    display_db_pager($table);

end_form(3);
end_page();

?>